<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "https://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="https://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8"/>
<title>TestNG Report</title>
<style type="text/css">table {margin-bottom:10px;border-collapse:collapse;empty-cells:show}th,td {border:1px solid #009;padding:.25em .5em}th {vertical-align:bottom}td {vertical-align:top}table a {font-weight:bold}.stripe td {background-color: #E6EBF9}.num {text-align:right}.passedodd td {background-color: #3F3}.passedeven td {background-color: #0A0}.skippedodd td {background-color: #DDD}.skippedeven td {background-color: #CCC}.failedodd td,.attn {background-color: #F33}.failedeven td,.stripe .attn {background-color: #D00}.stacktrace {white-space:pre;font-family:monospace}.totop {font-size:85%;text-align:center;border-bottom:2px solid #000}.invisible {display:none}</style>
</head>
<body>
<table>
<tr><th>Test</th><th># Passed</th><th># Skipped</th><th># Retried</th><th># Failed</th><th>Time (ms)</th><th>Included Groups</th><th>Excluded Groups</th></tr>
<tr><th colspan="8">Default suite</th></tr>
<tr><td><a href="#t0">Default test</a></td><td class="num">4</td><td class="num">0</td><td class="num">0</td><td class="num attn">2</td><td class="num">11,267</td><td></td><td></td></tr>
</table>
<table id='summary'><thead><tr><th>Class</th><th>Method</th><th>Start</th><th>Time (ms)</th></tr></thead><tbody><tr><th colspan="4">Default suite</th></tr></tbody><tbody id="t0"><tr><th colspan="4">Default test &#8212; failed</th></tr><tr class="failedeven"><td rowspan="2">stepdefinition.Testrunner$TestRunner</td><td><a href="#m0">runScenario</a></td><td rowspan="2">1675409699728</td><td rowspan="2">20</td></tr><tr class="failedeven"><td><a href="#m1">runScenario</a></td></tr><tr><th colspan="4">Default test &#8212; passed</th></tr><tr class="passedeven"><td rowspan="4">stepdefinition.Testrunner$TestRunner</td><td><a href="#m2">runScenario</a></td><td rowspan="4">1675409699822</td><td rowspan="4">14</td></tr><tr class="passedeven"><td><a href="#m3">runScenario</a></td></tr><tr class="passedeven"><td><a href="#m4">runScenario</a></td></tr><tr class="passedeven"><td><a href="#m5">runScenario</a></td></tr></tbody>
</table>
<h2>Default test</h2><h3 id="m0">stepdefinition.Testrunner$TestRunner#runScenario</h3><table class="result"><tr class="param"><th>Parameter #1</th><th>Parameter #2</th></tr><tr class="param stripe"><td>&quot;To validate search for product functionality&quot;</td><td>&quot;Fristcry Application functionality&quot;</td></tr><tr><th colspan="2">Exception</th></tr><tr><td colspan="2"><div class="stacktrace">java.lang.IllegalArgumentException: Driver must be set
	at org.openqa.selenium.internal.Require.nonNull(Require.java:59)
	at org.openqa.selenium.interactions.Actions.&lt;init&gt;(Actions.java:60)
	at CalledMethods.Searchpage.toyscatag(Searchpage.java:22)
	at stepdefinition.Firstcryapplication.user_have_able_to_select_the_toys_section(Firstcryapplication.java:57)
	at ✽.user have  able to  select the Toys Section(file:///home/narayanan/eclipse-workspace5/cucumberfirstproject/src/test/resources/Feature/scenerio.feature:11)
</div></td></tr></table><p class="totop"><a href="#summary">back to summary</a></p>
<h3 id="m1">stepdefinition.Testrunner$TestRunner#runScenario</h3><table class="result"><tr class="param"><th>Parameter #1</th><th>Parameter #2</th></tr><tr class="param stripe"><td>&quot;Successful Login with Valid Credentials&quot;</td><td>&quot;Fristcry Application functionality&quot;</td></tr><tr><th colspan="2">Exception</th></tr><tr><td colspan="2"><div class="stacktrace">java.lang.NullPointerException: Cannot invoke &quot;org.openqa.selenium.SearchContext.findElement(org.openqa.selenium.By)&quot; because &quot;this.searchContext&quot; is null
	at org.openqa.selenium.support.pagefactory.DefaultElementLocator.findElement(DefaultElementLocator.java:70)
	at org.openqa.selenium.support.pagefactory.internal.LocatingElementHandler.invoke(LocatingElementHandler.java:39)
	at jdk.proxy2/jdk.proxy2.$Proxy27.click(Unknown Source)
	at CalledMethods.LoginPage.loginbtn(LoginPage.java:18)
	at stepdefinition.Firstcryapplication.user_click_on_sign_button(Firstcryapplication.java:32)
	at ✽.User click on sign button(file:///home/narayanan/eclipse-workspace5/cucumberfirstproject/src/test/resources/Feature/scenerio.feature:5)
</div></td></tr></table><p class="totop"><a href="#summary">back to summary</a></p>
<h3 id="m2">stepdefinition.Testrunner$TestRunner#runScenario</h3><table class="result"><tr class="param"><th>Parameter #1</th><th>Parameter #2</th></tr><tr class="param stripe"><td>&quot;To validate payment functionality&quot;</td><td>&quot;Fristcry Application functionality&quot;</td></tr></table><p class="totop"><a href="#summary">back to summary</a></p>
<h3 id="m3">stepdefinition.Testrunner$TestRunner#runScenario</h3><table class="result"><tr class="param"><th>Parameter #1</th><th>Parameter #2</th></tr><tr class="param stripe"><td>&quot;To validate AddAddress functionality&quot;</td><td>&quot;Fristcry Application functionality&quot;</td></tr></table><p class="totop"><a href="#summary">back to summary</a></p>
<h3 id="m4">stepdefinition.Testrunner$TestRunner#runScenario</h3><table class="result"><tr class="param"><th>Parameter #1</th><th>Parameter #2</th></tr><tr class="param stripe"><td>&quot;To validate Addtocart functionality&quot;</td><td>&quot;Fristcry Application functionality&quot;</td></tr></table><p class="totop"><a href="#summary">back to summary</a></p>
<h3 id="m5">stepdefinition.Testrunner$TestRunner#runScenario</h3><table class="result"><tr class="param"><th>Parameter #1</th><th>Parameter #2</th></tr><tr class="param stripe"><td>&quot;Successful LogOut&quot;</td><td>&quot;Fristcry Application functionality&quot;</td></tr></table><p class="totop"><a href="#summary">back to summary</a></p>
</body>
</html>
